package com.chenyang.nse.bussiness.entity.orm.table.core.mappletxml;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_RULE_RANDOMNUMINFO"
)
public class TCoreRuleRandomNumInfo extends TBaseEntity implements Serializable {
   private String portid;
   private String bounds;
   private String minimum;
   private String maximum;
   private String blurring;
   private String blur;
   private String lowRange;
   private String highRange;
   private String min;
   private String max;
   private String substitution;
   private String unit;

   public String getPortid() {
      return this.portid;
   }

   public void setPortid(String portid) {
      this.portid = portid;
   }

   public String getBounds() {
      return this.bounds;
   }

   public void setBounds(String bounds) {
      this.bounds = bounds;
   }

   public String getMinimum() {
      return this.minimum;
   }

   public void setMinimum(String minimum) {
      this.minimum = minimum;
   }

   public String getMaximum() {
      return this.maximum;
   }

   public void setMaximum(String maximum) {
      this.maximum = maximum;
   }

   public String getBlurring() {
      return this.blurring;
   }

   public void setBlurring(String blurring) {
      this.blurring = blurring;
   }

   public String getBlur() {
      return this.blur;
   }

   public void setBlur(String blur) {
      this.blur = blur;
   }

   public String getLowRange() {
      return this.lowRange;
   }

   public void setLowRange(String lowRange) {
      this.lowRange = lowRange;
   }

   public String getHighRange() {
      return this.highRange;
   }

   public void setHighRange(String highRange) {
      this.highRange = highRange;
   }

   public String getMin() {
      return this.min;
   }

   public void setMin(String min) {
      this.min = min;
   }

   public String getMax() {
      return this.max;
   }

   public void setMax(String max) {
      this.max = max;
   }

   public String getSubstitution() {
      return this.substitution;
   }

   public void setSubstitution(String substitution) {
      this.substitution = substitution;
   }

   public String getUnit() {
      return this.unit;
   }

   public void setUnit(String unit) {
      this.unit = unit;
   }
}
